Returns all calendars visible to the authenticated actor and collection actions.
GET
/api/workspace/work-schedule/calendars
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/work-schedule/calendars"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/work-schedule/calendars';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/work-schedule/calendars \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”enabled
boolean
access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Calendar list and caller access returned in one bootstrap response.
object
Items
Array<object>
One calendar in the deterministic calendar list.
object
CalendarId
string
Key
string
Name
string
Description
string
Enabled
boolean
RowVersion
string format: uuid
HasDraft
boolean
HasRevisionHistory
boolean
CurrentEffectiveFromLocalDate
string format: date
NextScheduledEffectiveFromLocalDate
string format: date
Actions
Actions that the current actor may perform on a working calendar.
object
CanRead
boolean
CanUpdate
boolean
CanSetEnabled
boolean
CanDelete
boolean
CanStartDraft
boolean
Actions
Collection-level calendar access returned with the list bootstrap payload.
object
CanCreate
boolean
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}